Package org.eclipse.mat.snapshot.query

# Class TQuantize.Builder

java.lang.Object
org.eclipse.mat.snapshot.query.TQuantize.Builder

Enclosing class:
  TQuantize

public static final class TQuantize.Builder extends Object
`TQuantize` factory

## Method Summary

Modifier and Type
Method
Description
`TQuantize`
`build()`
Build a `TQuantize` object.
`TQuantize.Builder`
`column(String label, Column baseColumn, int baseColumnIndex, Quantize.Function.Factory qff)`
Add a column with label and function.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### column

public TQuantize.Builder column(String label, Column baseColumn, int baseColumnIndex, Quantize.Function.Factory qff)
Add a column with label and function.

### build

public TQuantize build()
Build a `TQuantize` object.